<?php
/*
Plugin Name: Perso Login Display
Version: auto
Description: Add bloc perso on login page
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=903
Author: ddtddt
Author URI: http://temmii.com/piwigo/
Has Settings: webmaster
*/
// +-----------------------------------------------------------------------+
// | Perso Login Display plugin for piwigo by TEMMII                       |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2021 ddtddt                    http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('PLD_DIR' , basename(dirname(__FILE__)));
define('PLD_PATH' , PHPWG_PLUGINS_PATH . PLD_DIR . '/');
define('PLD_ADMIN',get_root_url().'admin.php?page=plugin-'.PLD_DIR);

add_event_handler('loading_lang', 'perso_login_display_loading_lang');	  
function perso_login_display_loading_lang(){
  load_language('plugin.lang', PPA_PATH);
}

if (script_basename() == 'identification'){
  add_event_handler('loc_begin_identification', 'pld');
}

function pld(){
  global $template, $conf, $pwg_loaded_plugins;
  $template->set_prefilter('identification', 'pldTtop');
  $template->set_prefilter('identification', 'pldTbefsub');
  $template->set_prefilter('identification', 'pldTaftsub');
  $template->set_prefilter('identification', 'pldTbottom');
  if (isset($pwg_loaded_plugins['ExtendedDescription'])){
	add_event_handler('AP_render_content', 'get_user_language_desc');
  }
  $plddata = safe_unserialize($conf['PersoLoginDisplay']);
  $pldtop=trigger_change('AP_render_content', $plddata['top']);
  $pldTbefsub=trigger_change('AP_render_content', $plddata['befsub']);
  $pldTaftsub=trigger_change('AP_render_content', $plddata['aftsub']);
  $pldbottom=trigger_change('AP_render_content', $plddata['bottom']);
  if (!empty($pldtop)){
	$template->assign('PLD_TOP', $pldtop);
  }
  if (!empty($pldTbefsub)){
	$template->assign('PLD_BEFSUB', $pldTbefsub);
  }
  if (!empty($pldTaftsub)){
	$template->assign('PLD_AFTSUB', $pldTaftsub);
  }
  if (!empty($pldbottom)){
	$template->assign('PLD_BOTTOM', $pldbottom);
  }
}

function pldTtop($content, &$smarty){
  $search = '</h2>
</div>';
  $replacement = '</h2>
</div>
<div id="pldtop">{$PLD_TOP}</div>
';
  return str_replace($search, $replacement, $content);
}

function pldTbefsub($content, &$smarty){
  $search = '</fieldset>';
  $replacement = '</fieldset>
<div id="pldbfsub">{$PLD_BEFSUB}</div>
';
  return str_replace($search, $replacement, $content);
}
function pldTaftsub($content, &$smarty){
  $search = '>
  </p>';
  $replacement = '>
  </p>
<div id="pldaftsub">{$PLD_AFTSUB}</div>
';
  return str_replace($search, $replacement, $content);
}

function pldTbottom($content, &$smarty){
  $search = '</form>';
  $replacement = '</form>
<div id="pldbottom">{$PLD_BOTTOM}</div>
';
  return str_replace($search, $replacement, $content);
}
?>